# robusttransaction.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/dbtransaction"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for robusttransaction.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::basic_robusttransaction
class | pqxx::robusttransaction< ISOLATIONLEVEL >
| Slightly slower, better-fortified version of transaction. More...